CFD Online Logo CFD Online URL
www.cfd-online.com
[Sponsors]
Home > Forums > ParaView

Installing pvpython

Register Blogs Members List Search Today's Posts Mark Forums Read

Reply
 
LinkBack Thread Tools Display Modes
Old   December 13, 2012, 01:49
Default Installing pvpython
  #1
New Member
 
jha
Join Date: Nov 2009
Posts: 7
Rep Power: 6
jhapk is on a distinguished road
Hello,

I just installed Paraview 3.98 on my Mac OS x 10.8. The paraview.app has been installed in "/Applications" folder and the "__init.py__" files are in the "/Applications/paraview.app/Contents/Python/paraview" folder. When I do "ls" in this folder, I get:
Code:
#v#			collaboration.pyc	numpy_support.py	servermanager.pyc	util.pyc
__init__.py		compile_all_pv.py	numpy_support.pyc	simple.py		variant.py
__init__.pyc		compile_all_pv.pyc	pv_compile_complete	simple.pyc		variant.pyc
annotation.py		demos/			pvfilters.py		smstate.py		vtk/
annotation.pyc		extract_selection.py	pvfilters.pyc		smstate.pyc		vtkConstants.py
benchmark.py		extract_selection.pyc	pvvtkextensions.py	smtrace.py		vtkConstants.pyc
benchmark.pyc		numeric.py		pvvtkextensions.pyc	smtrace.pyc
collaboration.py	numeric.pyc		servermanager.py	util.py
I also added the address to this folder to my pythonpath. I don't know what else to do to get "pvpthon" working. Even right now when I try to import "simple" or "servermanager" in the python environment, I get the following error: "ImportError: No module named paraview".

Any ideas what can I do?
Thanks
jhapk is offline   Reply With Quote

Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On


Similar Threads
Thread Thread Starter Forum Replies Last Post
Installing OpenFOAM 2.1.1 and ParaView 3.12.0 on Ubuntu 12.10 wyldckat OpenFOAM Installation 14 February 12, 2013 04:43
problem with pvpython when loading state involving Plot Over Lines hadrien51 ParaView 1 October 17, 2012 11:18
My experience Installing Elmer (Open Source Multi physics programme) on Linux Ahmed Main CFD Forum 3 August 10, 2010 13:42
Installing Exceed 2006 de-nio Main CFD Forum 0 April 14, 2010 08:48
Problem installing on Ubuntu 9.10 -> 'Cannot open : No such file or directory' mfiandor OpenFOAM Installation 2 January 25, 2010 09:50


All times are GMT -4. The time now is 02:10.